KYC

Start a platform KYC session

Creates a verification session for the caller's organization. Owner/admin only.

AuthBearer (JWT)
GroupKYC
Rate limitSee Rate Limits
POST/api/kyc/sessions

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, KYCApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const kyc = new KYCApi(configuration);
import { Configuration, KYCApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const kyc = new KYCApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await kyc.request(
  {
    language: "en-US"
  }
);
const { data: result } = await kyc.request(
  {
    language: "en-US"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Request Body

json
{
  "language": "en-US"
}
{
  "language": "en-US"
}

Responses

200Session created (returns the verification session URL and identifiers)
401Authentication required
403Insufficient role (owner/admin required)
429Rate limit exceeded

Errors

CodeMeaning
401Authentication required
403Insufficient role (owner/admin required)
429Rate limit exceeded
Edit this page on GitHub